Page MenuHomePhabricator

D5861.id19320.diff
No OneTemporary

D5861.id19320.diff

diff --git a/native/android/scripts/install_protobuf.sh b/native/android/scripts/install_protobuf.sh
new file mode 100755
--- /dev/null
+++ b/native/android/scripts/install_protobuf.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+git clone \
+ --recurse-submodules \
+ --single-branch \
+ -b v3.15.8 \
+ https://github.com/protocolbuffers/protobuf
+
+pushd protobuf || exit
+
+mkdir build
+pushd build || exit
+
+cmake ../cmake -Dprotobuf_BUILD_SHARED_LIBS=ON -Dprotobuf_ABSL_PROVIDER=package
+make install -j "$(nproc)" -l "$(nproc)"
+
+popd || exit # build
+popd || exit # protobuf

File Metadata

Mime Type
text/plain
Expires
Mon, Dec 23, 12:05 PM (16 h, 58 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2694029
Default Alt Text
D5861.id19320.diff (585 B)

Event Timeline